evhtp_ssl_cfg_t Struct Reference

`#include <evhtp.h>`

## Data Fields

char * | pemfile
char * | privfile
char * | cafile
char * | capath
char * | ciphers
char * | named_curve
char * | dhparams
long | ssl_opts
long | ssl_ctx_timeout
int | verify_peer
int | verify_depth
evhtp_ssl_verify_cb | x509_verify_cb
evhtp_ssl_chk_issued_cb | x509_chk_issued_cb
evhtp_ssl_decrypt_cb | decrypt_cb
long | store_flags
evhtp_ssl_scache_type | scache_type
long | scache_timeout
long | scache_size
evhtp_ssl_scache_init | scache_init
evhtp_ssl_scache_add | scache_add
evhtp_ssl_scache_get | scache_get
evhtp_ssl_scache_del | scache_del
void * | args

## Detailed Description

Definition at line 501 of file evhtp/evhtp.h.

## Field Documentation

## args

void* evhtp_ssl_cfg_t::args

Definition at line 524 of file evhtp/evhtp.h.

## cafile

char* evhtp_ssl_cfg_t::cafile

Definition at line 504 of file evhtp/evhtp.h.

## capath

char* evhtp_ssl_cfg_t::capath

Definition at line 505 of file evhtp/evhtp.h.

## ciphers

char* evhtp_ssl_cfg_t::ciphers

Definition at line 506 of file evhtp/evhtp.h.

## decrypt_cb

evhtp_ssl_decrypt_cb evhtp_ssl_cfg_t::decrypt_cb

Definition at line 515 of file evhtp/evhtp.h.

## dhparams

char* evhtp_ssl_cfg_t::dhparams

Definition at line 508 of file evhtp/evhtp.h.

## named_curve

char* evhtp_ssl_cfg_t::named_curve

Definition at line 507 of file evhtp/evhtp.h.

## pemfile

char* evhtp_ssl_cfg_t::pemfile

Definition at line 502 of file evhtp/evhtp.h.

## privfile

char* evhtp_ssl_cfg_t::privfile

Definition at line 503 of file evhtp/evhtp.h.

## scache_add

evhtp_ssl_scache_add evhtp_ssl_cfg_t::scache_add

Definition at line 521 of file evhtp/evhtp.h.

## scache_del

evhtp_ssl_scache_del evhtp_ssl_cfg_t::scache_del

Definition at line 523 of file evhtp/evhtp.h.

## scache_get

evhtp_ssl_scache_get evhtp_ssl_cfg_t::scache_get

Definition at line 522 of file evhtp/evhtp.h.

## scache_init

evhtp_ssl_scache_init evhtp_ssl_cfg_t::scache_init

Definition at line 520 of file evhtp/evhtp.h.

## scache_size

long evhtp_ssl_cfg_t::scache_size

Definition at line 519 of file evhtp/evhtp.h.

## scache_timeout

long evhtp_ssl_cfg_t::scache_timeout

Definition at line 518 of file evhtp/evhtp.h.

## scache_type

evhtp_ssl_scache_type evhtp_ssl_cfg_t::scache_type

Definition at line 517 of file evhtp/evhtp.h.

## ssl_ctx_timeout

long evhtp_ssl_cfg_t::ssl_ctx_timeout

Definition at line 510 of file evhtp/evhtp.h.

## ssl_opts

long evhtp_ssl_cfg_t::ssl_opts

Definition at line 509 of file evhtp/evhtp.h.

## store_flags

long evhtp_ssl_cfg_t::store_flags

Definition at line 516 of file evhtp/evhtp.h.

## verify_depth

int evhtp_ssl_cfg_t::verify_depth

Definition at line 512 of file evhtp/evhtp.h.

## verify_peer

int evhtp_ssl_cfg_t::verify_peer

Definition at line 511 of file evhtp/evhtp.h.

## x509_chk_issued_cb

evhtp_ssl_chk_issued_cb evhtp_ssl_cfg_t::x509_chk_issued_cb

Definition at line 514 of file evhtp/evhtp.h.

## x509_verify_cb

evhtp_ssl_verify_cb evhtp_ssl_cfg_t::x509_verify_cb

Definition at line 513 of file evhtp/evhtp.h.

The documentation for this struct was generated from the following file:

- evhtp/evhtp.h